# $Revision: 1.6 $, $Date: 2007-02-12 21:21:30 $
Summary:	OpenGL Easy Extension library
Summary(pl.UTF-8):	Biblioteka OpenGL Easy Extension
Name:		GLee
Version:	5.03
%define		_ver	%(echo %{version} | tr . _)
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://elf-stone.com/downloads/GLee/%{name}%{_ver}.zip
# Source0-md5:	92a3f9282af73b8a9966ad5a0e2eaf8d
Source1:	http://elf-stone.com/downloads/GLee/%{name}-3.03-src.tar.gz
# Source1-md5:	84664f6545ed890ea87244c1ea5b2259
URL:		http://elf-stone.com/downloads.php
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.167
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OpenGL Easy Extension library (GLee) makes life easier for OpenGL
developers by automatically linking OpenGL extensions and core
functions at initialisation time. This saves programmers the effort of
manually linking every required extension, and effectively brings the
OpenGL library up to date.

%description -l pl.UTF-8
Biblioteka OpenGL Easy Extension (GLee) ułatwia życie programistom
używającym OpenGL poprzez automatyczne linkowanie rozszerzeń OpenGL i
głównych funkcji w czasie inicjalizacji. Oszczędza to programistom
trudów ręcznego linkowania każdego wymaganego rozszerzenia i
efektywnie czyni bibliotekę OpenGL aktualną.

%package devel
Summary:	Header file for GLee library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki GLee
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel

%description devel
Header file for GLee library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki GLee.

%prep
%setup -q -a1 -c
cp glee/{configure,config.h.in,install-sh,Makefile.in} .

%build
CXXFLAGS="%{rpmcxxflags} -fPIC"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/GL,%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
	LIBDIR=$RPM_BUILD_ROOT%{_libdir} \
	DATADIR=$RPM_BUILD_ROOT%{_datadir} \
	LDCONFIG=/bin/true

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc extensionList.txt readme.txt
%attr(755,root,root) %{_libdir}/libGLee.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/GL/GLee.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: GLee.spec,v $
Revision 1.6  2007-02-12 21:21:30  glen
- tabs in preamle

Revision 1.5  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.4  2005/07/17 21:54:37  blues
- 5.03, but it needs some parts of 3.03 (zip contains only pure sources).

Revision 1.3  2005/07/16 12:28:26  qboosh
- use PIC, separated -devel, BR: libstdc++-devel

Revision 1.2  2005/07/16 12:22:15  qboosh
- pl

Revision 1.1  2005/07/15 22:19:30  blues
- initial
